
Running unit tests manually
---------------------------

Preconditions:
- node.js v4.x.x or higher (v6.x.x is recommended)
- npm package manager

On Debian-based distributions you may want to install the `nodejs-legacy`
package that symlinks `nodejs` to its more common name `node`.

The next step is the installation of package dependencies.
Go to the protocol directory and execute the following command:

npm install

This will download and install all normal and dev dependencies as they are
defined in package.json.
All dependencies are installed into the node_modules subdirectory.
After successful installation you can run unit tests by typing:

npm test

This will perform some checking on the source code and if everything is ok
test/test.js will be run.


Manual clean up
---------------

The node_modules subdirectory can be deleted manually.
No other artifacts are created.
